## ros-one-urdf 1.13.2-2jammy.20260220.2218

=== debian/changelog ===
ros-one-urdf (1.13.2-2jammy.20260220.2218) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 20 Feb 2026 22:18:51 +0000
