## ros-one-urdf 1.13.2-2noble.20251023.0126

=== debian/changelog ===
ros-one-urdf (1.13.2-2noble.20251023.0126) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 23 Oct 2025 01:26:06 +0000

ros-one-urdf (1.13.2-0noble) noble; urgency=high

  * Windows bringup. (#31 <https://github.com/ros/urdf/issues/31>)
  * update library install destination (#28 <https://github.com/ros/urdf/issues/28>)
  * Solved problem when static linking against urdf (#25 <https://github.com/ros/urdf/issues/25>)
  * unit test: add missing link name (#26 <https://github.com/ros/urdf/issues/26>)
  * update deprecated macro for MSVC (#27 <https://github.com/ros/urdf/issues/27>)
  * Contributors: James Xu, Robert Haschke, Sean Yen, ivanpauno

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 06 Mar 2020 00:00:00 -0000

ros-one-urdf (1.13.1-0noble) noble; urgency=high

  * Eliminate a deprecation warning by renaming class_loader.h -> class_loader.hpp (#16 <https://github.com/ros/urdf/issues/16>)
  * Make the pointers const for the new tinyxml2 APIs (#15 <https://github.com/ros/urdf/issues/15>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 05 Apr 2018 00:00:00 -0000

ros-one-urdf (1.13.0-0noble) noble; urgency=high

  * Add in TinyXML2 versions of the initXml API.
    Also add in some tests, and add in a deprecation warning
    for the TinyXML versions of the APIs.
  * Add some tests for the 'initXml' family of methods.
  * Small CMake fixups.
    In particular, make sure we define the correct define when
    building on WIN32.  Also do whitespace cleanup.
  * Windows compatibility from ROS2.
  * Style fixes from ROS2
  * update links now that this is in its own repo (#7 <https://github.com/ros/urdf/issues/7>)
  * Contributors: Chris Lalancette, Dmitry Rozhkov, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-urdf (1.12.12-0noble) noble; urgency=high

  * Switched to package format 2 and made rostest a test_depend (#221 <https://github.com/ros/robot_model/pull/221>)
  * Made rostest a test_depend (#221 <https://github.com/ros/robot_model/pull/221>)
  * Added missing dependency on tinyxml (#213 <https://github.com/ros/robot_model/pull/213>)
  * Contributors: Chris Lalancette, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 08 Nov 2017 00:00:00 -0000

ros-one-urdf (1.12.11-0noble) noble; urgency=high

  * Shared ptr yakkety (#207 <https://github.com/ros/robot_model/issues/207>)
    * Forward declare urdf::Model when urdfdom version is > 0.4
    * Add test for upcasting from urdf::ModelSharedPtr to urdf::ModelInterfaceSharedPtr
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 27 Jun 2017 00:00:00 -0000

ros-one-urdf (1.12.10-0noble) noble; urgency=high

  * Change urdf::Model to use std::shared_ptrs in urdfdom > v0.4 (#206 <https://github.com/ros/robot_model/issues/206>)
  * Contributors: Dave Coleman

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 24 Jun 2017 00:00:00 -0000

ros-one-urdf (1.12.9-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-one-urdf (1.12.8-0noble) noble; urgency=high

  * Allow supplying NodeHandle for initParam (#168 <https://github.com/ros/robot_model/issues/168>)
    * Allow supplying NodeHandle for initParam using new function.
    * fixed missing return statement in previous commit.
  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, Piyush Khandelwal, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-one-urdf (1.12.7-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-one-urdf (1.12.6-0noble) noble; urgency=high

  * Addressed gcc6 build error in the urdf package, forward port of #156 <https://github.com/ros/robot_model/issues/156> (#173 <https://github.com/ros/robot_model/issues/173>)
  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-one-urdf (1.12.5-0noble) noble; urgency=high

  * Added urdf_compatibility.h header to define SharedPtr types (#160 <https://github.com/ros/robot_model/issues/160>)
    This provides portability for downstream packages allowing them to use urdfdom 0.3 or 0.4.
  * urdf: Explicitly cast shared_ptr to bool in unit test. (#158 <https://github.com/ros/robot_model/issues/158>)
  * Add smart ptr typedefs (#153 <https://github.com/ros/robot_model/issues/153>)
  * Addressed gcc6 build error in urdf which was related to use of the isystem flag (#157 <https://github.com/ros/robot_model/issues/157>)
  * Remove unneeded dependency on libpcrecpp (#155 <https://github.com/ros/robot_model/issues/155>)
  * Contributors: Bence Magyar, Jochen Sprickerhof, Lukas Bulwahn, Maarten de Vries, Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-urdf (1.12.4-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-one-urdf (1.12.3-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-one-urdf (1.12.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000


