## ros-one-urdf 1.13.2-2noble.20260220.2230

=== debian/changelog ===
ros-one-urdf (1.13.2-2noble.20260220.2230) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 20 Feb 2026 22:30:07 +0000
